Bug 116567 - [PATCH] net/vnc: patch x0vncserver to not give the select "Invalid argument" error
Summary: [PATCH] net/vnc: patch x0vncserver to not give the select "Invalid argument" ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-22 23:00 UTC by Naram Qashat
Modified: 2008-08-05 07:50 UTC (History)
1 user (show)

See Also:


Attachments
vnc-4.1.2_2.patch (737 bytes, patch)
2007-09-22 23:00 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2007-09-22 23:00:02 UTC
Patch x0vncserver to not give the select "Invalid argument" error
(Note: I found that this problem was presented to the RealVNC
developers when VNC was version 4.1.1, but apparently they didn't
bother to fix it for 4.1.2)

Added file(s):
- files/patch-unix-x0vncserver-x0vncserver.cxx

Port maintainer (james@now.ie) is cc'd.

Generated with FreeBSD Port Tools 0.77

I wasn't sure if this justified a port revision change or not, so I
didn't change the port revision.
Comment 1 Edwin Groothuis freebsd_committer 2007-09-22 23:00:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-05-30 03:29:02 UTC
Hi submitter,

You can confirm us if this problem already was solved with the lastest
commits in this port ?

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta
Comment 3 Naram Qashat 2008-05-30 05:35:07 UTC
Felippe de Meirelles Motta wrote:
> Hi submitter,
> 
> You can confirm us if this problem already was solved with the lastest
> commits in this port ?
> 
I just recompiled the port from the ports tree as of around 6:00a May 29 2008, 
still gives the same problem without using the patch I submitted.

Thanks,
Naram Qashat
Comment 4 Felippe de Meirelles Motta freebsd_committer 2008-06-22 00:37:42 UTC
State Changed
From-To: feedback->open

Feedback timeout.
Comment 5 dfilter service freebsd_committer 2008-08-05 07:40:14 UTC
vs          2008-08-05 06:40:04 UTC

  FreeBSD ports repository

  Modified files:
    net/vnc              Makefile 
  Added files:
    net/vnc/files        patch-unix-x0vncserver-x0vncserver.cxx 
  Log:
  Fix "invalid argument" error on startup of x0vncserver
  
  PR:             ports/116567
  Submitted by:   Naram Qashat
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.58      +1 -1      ports/net/vnc/Makefile
  1.1       +11 -0     ports/net/vnc/files/patch-unix-x0vncserver-x0vncserver.cxx (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Volker Stolz freebsd_committer 2008-08-05 07:40:18 UTC
State Changed
From-To: open->closed

Confirmed and committed, thanks!